Bug 114830 - On Tomcat 4.1 the public item view never changes after the first viewing
On Tomcat 4.1 the public item view never changes after the first viewing
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
Depends On:
Blocks: 113496
  Show dependency treegraph
Reported: 2004-02-03 08:00 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-05 09:53:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-02-03 08:00:03 EST
Description of problem:
If you view a published content item, then go and view the page for a
different item, it'll show the first item still. In fact no matter
which item you try to view it will always show the first one to be
viewed after server startup. This only happens on Tomcat 4.1. We have
similar problems viewing categories in London Navigation application.
Developer support shows that different queries are being run, but the
ultimate XML output for the page is always identical!!!!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create and publish item 'foo'
2. Create and publish item 'bar
3. View item 'foo' - /content/foo.en
4. View item 'bar' - /content/bar.en
Actual results:
When viewing 'bar' it shows details for 'foo'

Expected results:
When viewing 'bar' it shows details for 'bar'

Additional info:
Comment 1 Jon Orris 2004-02-03 10:12:37 EST
RC1 Blocker
Comment 2 Daniel Berrange 2004-02-03 11:01:04 EST
It turns out that if you have a JSP tag


Then, rather than creating the object corresponding to foo:bar on
every request, it is valid for the servlet container to keep a pool of
pre-created objects around. The bebop JSP ShowAll tag has a dubious
piece of code:

   if (m_inputDoc == null) {
        m_inputDoc = (com.arsdigita.xml.Document)pageContext.getRequest()

Now since the Tag object can be cached, the effect this has is that
this tag object will always output the same XML! Tomcat 4.0 and Resin
don't  do JSP tag object caching, hence why we've not seen this
before. Resolver in p4 40010

Comment 3 Jon Orris 2004-02-05 09:53:23 EST
Verified on 4.1.

Note You need to log in before you can comment on or make changes to this bug.